#
#  @(#) $Id: Makefile.config,v 1.2 2004/05/26 19:14:24 honda Exp $
# 

#
#  Makefile のシステム依存部分（CQ-FRK-NXP-ARM用）
#

#
#  コンパイルフラグ
#
INCLUDES := $(INCLUDES) -I$(SRCDIR)/config/$(CPU)/$(SYS)
COPTS    := $(COPTS) -mcpu=arm7tdmi -Wa,--gstabs 
LDFLAGS  := $(LDFLAGS) -mcpu=arm7tdmi  -N 

#
# カーネルに関する定義
#
KERNEL_DIR     := $(KERNEL_DIR):$(SRCDIR)/config/$(CPU)/$(SYS)
KERNEL_ASMOBJS := $(KERNEL_ASMOBJS) sys_support.o
KERNEL_COBJS   := $(KERNEL_COBJS) sys_config.o cqnxparm.o

#
#  リンカスクリプトの定義
#
LDSCRIPT = $(CPU)/$(SYS)/cqnxparm.ld

#
#  ターゲットボード依存の定義
#

#  INTEGRATOR用
COPTS   := $(COPTS) -DCQNXPARM -mlittle-endian
LDFLAGS := $(LDFLAGS) -mlittle-endian 
#TEXT_START_ADDRESS=0x1000003c
#TEXT_START_ADDRESS=0x10800000
#DATA_START_ADDRESS=0x10810000

#TEXT_START_ADDRESS=0x00000000
#DATA_START_ADDRESS=0x00200000
